clang 8.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::comments::CommandTraits Class Reference

This class provides information about commands that can be used in comments. More...

`#include "clang/AST/CommentCommandTraits.h"`

## Public Types
enum | KnownCommandIDs { KCI_Last }

## Public Member Functions
| CommandTraits (llvm::BumpPtrAllocator &Allocator, const CommentOptions &CommentOptions)
void | registerCommentOptions (const CommentOptions &CommentOptions)
const CommandInfo * | getCommandInfoOrNULL (StringRef Name) const
const CommandInfo * | getCommandInfo (StringRef Name) const
const CommandInfo * | getTypoCorrectCommandInfo (StringRef Typo) const
const CommandInfo * | getCommandInfo (unsigned CommandID) const
const CommandInfo * | registerUnknownCommand (StringRef CommandName)
const CommandInfo * | registerBlockCommand (StringRef CommandName)

## Static Public Member Functions
static const CommandInfo * | getBuiltinCommandInfo (StringRef Name)
static const CommandInfo * | getBuiltinCommandInfo (unsigned CommandID)

## Detailed Description

This class provides information about commands that can be used in comments.

Definition at line 128 of file CommentCommandTraits.h.

## Member Enumeration Documentation

## ◆ KnownCommandIDs

enum clang::comments::CommandTraits::KnownCommandIDs

Enumerator
KCI_Last |

Definition at line 130 of file CommentCommandTraits.h.

## Constructor & Destructor Documentation

## ◆ CommandTraits()

clang::comments::CommandTraits::CommandTraits | ( | llvm::BumpPtrAllocator & | Allocator,
|  | const CommentOptions & | CommentOptions
| ) |  |

Definition at line 18 of file CommentCommandTraits.cpp.

## Member Function Documentation

## ◆ getBuiltinCommandInfo() [1/2]

static const CommandInfo* clang::comments::CommandTraits::getBuiltinCommandInfo | ( | StringRef | Name | ) |
| static

Returns
  a CommandInfo object for a given command name or NULL if `Name` is not a builtin command.

Referenced by clang::TextNodeDumper::dumpDeclRef(), and getCommandInfo().

## ◆ getBuiltinCommandInfo() [2/2]

const CommandInfo * clang::comments::CommandTraits::getBuiltinCommandInfo | ( | unsigned | CommandID | ) |
| static

Returns
  a CommandInfo object for a given command ID or NULL if `CommandID` is not a builtin command.

Definition at line 116 of file CommentCommandTraits.cpp.

## ◆ getCommandInfo() [1/2]

const CommandInfo* clang::comments::CommandTraits::getCommandInfo | ( | StringRef | Name | ) | const
| inline

Definition at line 146 of file CommentCommandTraits.h.

Referenced by clang::comments::Sema::actOnInlineCommand(), clang::comments::Sema::actOnVerbatimBlockStart(), clang::comments::Sema::checkBlockCommandDuplicate(), clang::comments::Sema::checkBlockCommandEmptyParagraph(), clang::comments::Sema::checkContainerDecl(), clang::comments::Sema::checkContainerDeclVerbatimLine(), clang::comments::Sema::checkDeprecatedCommand(), clang::comments::Sema::checkFunctionDeclVerbatimLine(), clang::comments::Sema::checkReturnsCommand(), clang::TextNodeDumper::dumpDeclRef(), clang::comments::InlineCommandComment::getCommandName(), clang::comments::BlockCommandComment::getCommandName(), clang::comments::BriefParser::Parse(), clang::comments::Parser::parseBlockCommand(), clang::comments::Parser::parseParagraphOrBlockCommand(), and clang::comments::Parser::parseVerbatimBlock().

## ◆ getCommandInfo() [2/2]

const CommandInfo * clang::comments::CommandTraits::getCommandInfo | ( | unsigned | CommandID | ) | const

Definition at line 40 of file CommentCommandTraits.cpp.

References getBuiltinCommandInfo().

## ◆ getCommandInfoOrNULL()

const CommandInfo * clang::comments::CommandTraits::getCommandInfoOrNULL | ( | StringRef | Name | ) | const

Returns
  a CommandInfo object for a given command name or NULL if no CommandInfo object exists for this command.

Definition at line 34 of file CommentCommandTraits.cpp.

## ◆ getTypoCorrectCommandInfo()

const CommandInfo * clang::comments::CommandTraits::getTypoCorrectCommandInfo | ( | StringRef | Typo | ) | const

Definition at line 47 of file CommentCommandTraits.cpp.

## ◆ registerBlockCommand()

const CommandInfo * clang::comments::CommandTraits::registerBlockCommand | ( | StringRef | CommandName | ) |

Definition at line 110 of file CommentCommandTraits.cpp.

References clang::comments::CommandInfo::IsBlockCommand.

Referenced by registerCommentOptions().

## ◆ registerCommentOptions()

void clang::comments::CommandTraits::registerCommentOptions | ( | const CommentOptions & | CommentOptions | ) |

Definition at line 24 of file CommentCommandTraits.cpp.

References clang::CommentOptions::BlockCommandNames, and registerBlockCommand().

## ◆ registerUnknownCommand()

const CommandInfo * clang::comments::CommandTraits::registerUnknownCommand | ( | StringRef | CommandName | ) |

Definition at line 103 of file CommentCommandTraits.cpp.

References clang::comments::CommandInfo::IsUnknownCommand.

Referenced by clang::comments::Sema::actOnUnknownCommand().

The documentation for this class was generated from the following files:

- include/clang/AST/CommentCommandTraits.h
- lib/AST/CommentCommandTraits.cpp